# living room

> A new attempt to bring together the ideas of the "splash" page, "portal" page
> and a comfortable digital "living room" experience for lumbung[dot]space.
> This is a work in progress. The end goal of this is to have a new design and
> implementation for [`lumbung.space`](https://lumbung.space) for January 2022.

## Hacking

[Install Hugo](https://gohugo.io/getting-started/installing/).

### Generate the site

`hugo serve --watch`

### Generate `lumbung[dot]space` posts

Do this manually first:

```
mkdir -p content
python3 -m venv .venv && source .venv/bin/activate
pip install git+https://git.autonomic.zone/ruangrupa/lumbunglib

export CALENDAR_URL="https://cloud.lumbung.space/remote.php/dav/public-calendars/WbnHM8YdCkKT6bcT?export"
export OUTPUT_DIR=content/calendar
lumbunglib-cal

export OUTPUT_DIR=content/video
lumbunglib-vid
```

Afterwards, you can automatically run it with `make gen`.
